#Zadatak 5

V = []                                          #Priprema liste...
target = "X-DSPAM-Confidence: "

fname = raw_input("Ime datoteke: ")

with open(fname) as fhand:                      #Otvaranje datoteke...
  for line in fhand:                            #Citanje redaka datoteke...
    if line.find(target) == 0:                  #Pronalazenje trazenog stringa...
      X = line[len(target) : len(line) + 1]     #Odvajanje stringa od brojcane vrijednosti...
      V.append(float(X))                        #Upisivanje u listu kao float vrijednost...

print "Average X-DSPAM-Confidence: " + str(sum(V)/len(V))   #Ispis stringa izracunate srednje vrijednosti...